Subject: [Sip] REGISTER Processing

From: Jiri Kuthan <[email-masked]>
Date: Tue, 30 Apr 2002 16:30:14 +0200

There seems to be insufficient guidance in bis-09 on usage of Call-ID
in REGISTERs. The only thing which I found there is in 10.2.4:

  "A UA SHOULD use the same Call-ID for all registrations during a
   single boot cycle. "

I think that does NOT require Call-ID to change across reboots. UAs
with no memory are not explicitely mandated to change Call-ID (ignoring
that bis asks to deny REGISTERs with Call-ID== and CSeq <= values in registrar's
bindings). If the UACs actually do not change Call-ID, REGISTERs after reboots 
with low CSeq will be ignored.

Which actually happened during two tests in SIPIt.

Also the SHOULD strengh seems to weak -- 'SHOULD' MUST be used if
not doing so does not break things, which is not the case here.

--

Other confusing thing is which SIP reply a request failure for out-of-order REGISTERs 
in line 1740 implies. I could connect it to the next paragraph "....if binding 
update fails...the request MUST fail with 500..." but I am not sure that 500 is 
a good choice.

--

Yet anothet thing, which Jan pointed out, is that handling of out-or-order
in lines 1738-40 also includes retransmissions (CSeq and CallID in request and
bindings equal). Sending some negative reply upstream would in that case 
cause the upstream UAC to consider registration failed.

-Jiri

--
Jiri Kuthan            http://iptel.org/~jiri/

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip